<?php

namespace Moscow\RUSComing;

use DB;
use Illuminate\Database\Seeder;

class IndexTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('indices')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'r_u_s-coming.index.view',
                'name'      => 'View Index',
            ],
            [
                'slug'      => 'r_u_s-coming.index.create',
                'name'      => 'Create Index',
            ],
            [
                'slug'      => 'r_u_s-coming.index.edit',
                'name'      => 'Update Index',
            ],
            [
                'slug'      => 'r_u_s-coming.index.delete',
                'name'      => 'Delete Index',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'r_u_s-coming.index.verify',
                'name'      => 'Verify Index',
            ],
            [
                'slug'      => 'r_u_s-coming.index.approve',
                'name'      => 'Approve Index',
            ],
            [
                'slug'      => 'r_u_s-coming.index.publish',
                'name'      => 'Publish Index',
            ],
            [
                'slug'      => 'r_u_s-coming.index.unpublish',
                'name'      => 'Unpublish Index',
            ],
            [
                'slug'      => 'r_u_s-coming.index.cancel',
                'name'      => 'Cancel Index',
            ],
            [
                'slug'      => 'r_u_s-coming.index.archive',
                'name'      => 'Archive Index',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/r_u_s-coming/index',
                'name'        => 'Index',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/r_u_s-coming/index',
                'name'        => 'Index',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'index',
                'name'        => 'Index',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'RUSComing',
                'module'    => 'Index',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'r_u_s-coming.index.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
