<?php

namespace Moscow\RUSComing;

use User;

class RUSComing
{
    /**
     * $index object.
     */
    protected $index;

    /**
     * Constructor.
     */
    public function __construct(\Moscow\RUSComing\Interfaces\IndexRepositoryInterface $index)
    {
        $this->index = $index;
    }

    /**
     * Returns count of r_u_s-coming.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.index.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->index->pushCriteria(new \Litepie\Moscow\Repositories\Criteria\IndexUserCriteria());
        }

        $index = $this->index->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('r_u_s-coming::' . $view, compact('index'))->render();
    }
}
