<?php

namespace Moscow\RUSComing\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class IndexTransformer extends TransformerAbstract
{
    public function transform(\Moscow\RUSComing\Models\Index $index)
    {
        return [
            'id'                => $index->getRouteKey(),
            'key'               => [
                'public'    => $index->getPublicKey(),
                'route'     => $index->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('r_u_s-coming/'.$index->getPublicKey()),
                'user'      => guard_url('r_u_s-coming/index/'.$index->getRouteKey()),
            ], 
            'status'            => trans('app.'.$index->status),
            'created_at'        => format_date($index->created_at),
            'updated_at'        => format_date($index->updated_at),
        ];
    }
}