<?php

namespace Moscow\RUSComing\Workflow;

use Moscow\RUSComing\Models\Index;
use Moscow\RUSComing\Notifications\IndexWorkflow as IndexNotifyer;
use Notification;

class IndexNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Index $index
     *
     * @return void
     */
    public function complete(Index $index)
    {
        return Notification::send($index->user, new IndexNotifyer($index, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Index $index
     *
     * @return void
     */
    public function verify(Index $index)
    {
        return Notification::send($index->user, new IndexNotifyer($index, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Index $index
     *
     * @return void
     */
    public function approve(Index $index)
    {
        return Notification::send($index->user, new IndexNotifyer($index, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Index $index
     *
     * @return void
     */
    public function publish(Index $index)
    {
        return Notification::send($index->user, new IndexNotifyer($index, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Index $index
     *
     * @return void
     */
    public function archive(Index $index)
    {
        return Notification::send($index->user, new IndexNotifyer($index, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Index $index
     *
     * @return void
     */
    public function unpublish(Index $index)
    {
        return Notification::send($index->user, new IndexNotifyer($index, 'unpublish'));;

    }
}
